mgr: Restful API does not start due to SocketServer issue

04/15/2019 09:44 AM - Wido den Hollander

Status: New % Done: 0%

Priority: Normal Spent time: 0.00 hour

Assignee:    

Category: restful module   

Target version:    

Source:  Affected Versions: v13.2.5

Tags: restful ceph-qa-suite:  

Backport:  Pull request ID:  

Regression: No Crash signature (v1):  

Severity: 3 - minor Crash signature (v2):  

Reviewed:    

Description

With Mimic 13.2.5 I'm seeing this error when starting the Restful API mgr plugin. This used to work, but stopped working after a

upgrade to 13.2.5 on CentOS 7:

2019-04-15 10:29:21.791 7f57f19b6700  0 mgr[restful] Traceback (most recent call last):

  File "/usr/lib64/ceph/mgr/restful/module.py", line 254, in serve

    self._serve()

  File "/usr/lib64/ceph/mgr/restful/module.py", line 332, in _serve

    self.server.serve_forever()

  File "/usr/lib/python2.7/site-packages/werkzeug/serving.py", line 436, in serve_forever

    HTTPServer.serve_forever(self)

  File "/usr/lib64/python2.7/SocketServer.py", line 236, in serve_forever

    poll_interval)

  File "/usr/lib64/python2.7/SocketServer.py", line 155, in _eintr_retry

    return func(*args)

ValueError: filedescriptor out of range in select()

 

Not sure yet why this happens, seems related to Python's SocketServer.

History

#1 - 04/15/2019 09:47 AM - Wido den Hollander

This cluster:

- Mimic 13.2.5

- CentOS 7

- 2000 OSDs

#2 - 04/15/2019 09:54 AM - Sebastian Wagner

- Project changed from Ceph to mgr

- Category deleted (rest-api)

- Tags changed from mgr,restful to restful

#3 - 08/22/2019 10:16 AM - Sebastian Wagner
- Category set to restful module
